with import ./network.nix;
{
  networking.wireguard = {
    interfaces.${vpn-if} = {
      listenPort = 1194;
      ips = ["10.3.0.1/24"];
      privateKeyFile = "/secrets/wireguard/server.key";

      peers = [
        {
          # gAluminum
          allowedIPs = [galuminum-wg];
          publicKey = "pEEgSs7xmO0cfyvoQlU8lfwqdYM1ISgmPAunPtF+0xw=";
        }


        {
          # OnePlus
          allowedIPs = [oneplus-wg];
          publicKey = "uOQUJo+AfhTAFq50Pt80rdX4PmO28WUARngE2AtwdXU=";
        }


        {
          # iPad
          allowedIPs = [ipad-wg];
          publicKey = "DPpd+P/hV1XLuvdcrCRv1sgz8BeZt1y5D6VehNuhjSQ=";
        }


        {
          # Manduria
          allowedIPs = [manduria-wg];
          publicKey = "wT38oXvDQ8g0hI+pAXQobOWf/Wott2zhwo8TLvXK400=";
        }


        {
          # Antonio
          allowedIPs = [antonio-wg];
          publicKey = "SPndCvEzuLHtGAQV8u/4dfLlFHoPcXS3L98oFOwTljc=";
        }


        {
          # Eleonora
          allowedIPs = [eleonora-wg];
          publicKey = "SL54f1ZeieFyn5X5UAPmypP10GV/c419O94vCzGHFhg=";
        }


        {
          # padulino
          allowedIPs = [padulino-wg];
          publicKey = "sk2Wr2OesND9jcuP/8k7BirSpR4pNNbS9gBkbOxZxwg=";
        }


        {
          # GBEAST
          allowedIPs = [gbeast-wg];
          publicKey = "XiK+wk+DErz0RmCWRxuaJN1cvdj+3DoiU6tcR+uZfAI=";
        }


        {
          # parisa-phone
          allowedIPs = [parisaphone-wg];
          publicKey = "t9EUnIkfr1b2HPlTXi17+AKMMe5VfeKq7exRVAwaai0=";
        }


        {
          # parisa-pc
          allowedIPs = [parisapc-wg];
          publicKey = "b2QzZDTgGQbNXSCLYB4KUzq0/099pH2T8H5BckfNSTQ=";
        }


        {
         # peppiniell
         allowedIPs = [peppiniell-wg];
         publicKey = "bzoW3Rx+7Un9hx/2opgBQJmmnZ/hgj1lQ2FnonCHjTc=";
       }


       {
          # broccolino
          allowedIPs = [broccolino-wg];
          publicKey = "Ig97XCKYZvMperGlQgoKdqvw6VyNHf5+MvcimKEUs1Y=";
        }


        {
          # hotpottino
          allowedIPs = [hotpottino-wg];
          publicKey = "YqtzTWqGBs2GwSPNO0aRSV4nvJDW3UHHt6fV4UC7vnU=";
        }


        {
          # shield
          allowedIPs = [shield-wg];
          publicKey = "1GaV/M48sHqQTrBVRQ+jrFU2pUMmv2xkguncVcwPCFs=";
        }


        {
          # angelino
          allowedIPs = [angelino-wg];
          publicKey = "MhY4d824LuKPltQHfaUbtWGiQz4XsfqCRAx0n1FDaiY=";
        }


        {
          # pepos_one
          allowedIPs = [pepos_one-wg];
          publicKey = "HcIqulGahsHJeuq6zAt5EJieWhDSKX4tFlUOEr2U1gA=";
        }


        {
          # pepos_two
          allowedIPs = [pepos_two-wg];
          publicKey = "mb1VaMLML5J24oCMBuhqvBrT6S4tAqWERn30z+h/LwM=";
        }
        {
          # salvatore
          allowedIPs = [salvatore-wg];
          publicKey = "fhlnBHeMyHZKLUCTSA9kmkKoM5x/qzz/rnCJrUh3Gzs=";
        }

        {
          # papa
          allowedIPs = [papa-wg];
          publicKey = "oGHygt02Oni3IFbScKD0NVEfHKCp6bpw68aq5g4RrAA=";
        }

        { 
          # defy
          allowedIPs = [defy-wg];
          publicKey = "wEkDNap9/qmkGd0a0PN8ANHgXgxwp+ZdmDW1CmIl4kM=";
        }

        {
          # germano
          allowedIPs = [germano-wg];
          publicKey = "gi4o+pZWKItzVs7vY8fvXh98jX6CNeCwc1YDzhc3mA4=";
        }

        {
          # flavio
          allowedIPs = [flavio-wg];
          publicKey = "Yg0P+yHi/9SZHyoel8jT9fmmu+irLYmT8yMp/CZoaSg=";
        }

        {
          # dodino
          allowedIPs = [dodino-wg];
          publicKey = "JHkqlADQpY1CUcivraG9i6rIzCzLVFcl8HP5uIk35lk=";
        }

        {
          # tommy
          allowedIPs = [tommy-wg];
          publicKey = "tytknU7wql1d0A2provX3RP7CNcEIajfgBJKoSyVLgo=";
        }

        {
          # alain
          allowedIPs = [alain-wg];
          publicKey = "/o2msFJoUL4yovcIQJTU8c1faFtekrjSBBWJABouWno=";
        }

        {
          # dima
          allowedIPs = [dima-wg];
          publicKey = "svzWYIZ6v+cLCp/emGG7mx2YpBJqw2fqjVuHZy7b6H0=";
        }

        {
          # boogino
          allowedIPs = [boogino-wg];
          publicKey = "p21tD9S04+b+TC27a1CvkJL7V6fcfjOpVU7Ke1FzV3A=";
        }

        {
          # mikey
          allowedIPs = [mikey-wg];
          publicKey = "ewbDdX3z7nxG2aPIf9TogXkhxPlGipLFcy6XfyDC6gI=";
        }
      ];
    };
  };
}
